<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>1-Line Layouts</title>
    
    <link rel="stylesheet" href="/styles.css">
  </head>  
  <body>
    <div class="meta">
      <h1>123-Line Layouts*</h1>
      <p>
        *10 Modern CSS layout and sizing techniques that highlight just how robust and impactful a single-line of styling code can be. <a href="https://www.youtube.com/watch?v=qm0IfG1GyZU">[Watch the Video]</a>
      </p>
    </div>
    <!-- 01 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">01. Super Centered
            <code class="blue">place-items: center</code>
          </h2>
          <div class="support-area">
            <span>
            Current Browser Support:
            </span>
            <ul class="taglist">
              <li class="green">Edge</li>
              <li class="green">Firefox</li>
              <li class="green">Chrome</li>
              <li class="green">Safari</li>
            </ul>
          </div>
        </div>

        <div class="ex-section ex1">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/YzyYbBx" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 01 end -->
    
    <!-- 02 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">02. The Deconstructed Pancake
            <code class="pink">flex: 0 1 &lt;baseWidth&gt;</code>
          </h2>
          <div class="support-area">
            <span>
            Current Browser Support:
            </span>
            <ul class="taglist">
              <li class="green">Edge</li>
              <li class="green">Firefox</li>
              <li class="green">Chrome</li>
              <li class="green">Safari</li>
            </ul>
          </div>
        </div>

        <div class="ex-section ex2">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/WNQdBza" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 02 end -->
    
    <!-- 03 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">03. Sidebar Says
            <code class="purple">grid-template-columns: minmax(&lt;min&gt;, &lt;max&gt;) ...</code>
          </h2>
          <div class="support-area">
            <span>
            Current Browser Support:
            </span>
            <ul class="taglist">
              <li class="green">Edge</li>
              <li class="green">Firefox</li>
              <li class="green">Chrome</li>
              <li class="green">Safari</li>
            </ul>
          </div>
        </div>

        <div class="ex-section ex3">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/gOaNeWL" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 03 end -->
    
    <!-- 04 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">04. Pancake Stack
            <code class="coral">grid-template-rows: auto 1fr auto</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="green">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex4">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/bGVXPWB" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 04 end -->
    
    <!-- 05 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">05. Classic Holy Grail Layout
            <code class="yellow">grid-template: auto 1fr auto / auto 1fr auto</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="green">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex5">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/mdVbdBy" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 05 end -->
    
    <!-- 06 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">06. 12-Span Grid
            <code class="green">grid-template-columns: repeat(12, 1fr)</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="green">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex6">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/eYJOYjj" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 06 end -->
    
    <!-- 07 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">07. RAM (Repeat, Auto, Minmax)
            <code class="blue">grid-template-columns: repeat(auto-fit, minmax(&lt;base&gt;, 1fr))</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="green">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex7">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/oNbvNQv" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 07 end -->
    
    <!-- 08 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">08. Line Up
            <code class="pink">justify-content: space-between</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="green">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex8">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/ExPYomq" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 08 end -->
    
    <!-- 09 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">09. Clamping My Style
            <code class="purple">clamp(&lt;min&gt;, &lt;actual&gt;, &lt;max&gt;)</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="green">Edge</li>
                <li class="green">Firefox</li>
                <li class="green">Chrome</li>
                <li class="coral">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex9">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/QWyLxaL" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <!-- 09 end -->
    
    <!-- 10 start -->
    <section>
      <div class="section-container">
        <div class="meta-area">
          <h2 class="section-title">10. Respect for Aspect
            <code class="coral">aspect-ratio: &lt;width&gt; / &lt;height&gt;</code>
          </h2>
            <div class="support-area">
              <span>
              Current Browser Support:
              </span>
              <ul class="taglist">
                <li class="yellow">Edge</li>
                <li class="coral">Firefox</li>
                <li class="yellow">Chrome</li>
                <li class="coral">Safari</li>
              </ul>
            </div>
        </div>

        <div class="ex-section ex10">
          <div class="ex-area">
            <div class="ex-container">
            </div>
          </div>
          <div class="code-area">
            <div class="tab-area">
              <button class="tab html">HTML</button>
              <button class="tab css">CSS</button>
            </div>
            <style class="code-container css" contenteditable></style>
            <code class="code-container html"></code>

            <a href="https://codepen.io/una/pen/xxZKzaX" class="codepen-link">Explore on CodePen</a>
          </div>
        </div>
      </div>
    </section>
    <section>
      <div class="section-container">
        <div class="yt-embed">
          <iframe src="https://www.youtube.com/embed/qm0IfG1GyZU" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        </div>
      </div>
    </section>
    <!-- 010 end -->
    <footer class="footer pink">
    Made with love by <a href="https://twitter.com/una">@una</a> for <a href="">web.dev<img style="height: 1em; margin-left: 0.25em; vertical-align: middle;" src="https://webdev.imgix.net/live/live.png" alt="live"></a></footer>
  </body>
  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-36758177-16"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'UA-36758177-16');
  </script>

</html>
